View Issue Details

IDProjectCategoryView StatusLast Update
0000135Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:20
ReporterChristianAchatzAssigned ToChristianAchatz 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.0 
Target Version2.1Fixed in Version2.1 
Summary0000135: Implementation of advanced templating proposal
DescriptionImplementation of advanved templating feature described under http://wiki.adventure-php-framework.org/Erweitertes_Templating to

* make controllers less fat (i.e. remove setPlaceHolder() calls)
* allow basic template logic calling retrieving data and calling methods
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Relationships

related to 0000187 closedChristianAchatz Enable extended templating expression for iterator 

Activities

ChristianAchatz

2014-01-30 19:48

administrator   ~0000193

First implementation done. SVN contains all new files. Unit Tests have been set up and included in SVN.

ChristianAchatz

2014-02-05 00:43

administrator   ~0000196

- German documentation done.
- Translation of proposal done.

ChristianAchatz

2014-02-06 22:44

administrator   ~0000203

Finished Englisch documentation.

Issue History

Date Modified Username Field Change
2014-01-29 23:38 ChristianAchatz New Issue
2014-01-29 23:38 ChristianAchatz Status new => assigned
2014-01-29 23:38 ChristianAchatz Assigned To => ChristianAchatz
2014-01-30 19:48 ChristianAchatz Note Added: 0000193
2014-02-05 00:43 ChristianAchatz Note Added: 0000196
2014-02-06 22:44 ChristianAchatz Note Added: 0000203
2014-02-06 22:44 ChristianAchatz Status assigned => resolved
2014-02-06 22:44 ChristianAchatz Fixed in Version => 2.1
2014-02-06 22:44 ChristianAchatz Resolution open => fixed
2014-05-09 18:35 ChristianAchatz Relationship added related to 0000187
2015-10-12 12:20 ChristianAchatz Status resolved => closed